Name:          intel-gpu-tools
Version:       1.28
Release:       1mamba
Summary:       A collection of tools for development and testing of the Intel DRM driver
Group:         System/X11
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://x.org/wiki/
Source:        https://gitlab.freedesktop.org/drm/igt-gpu-tools.git/v%{version}/igt-gpu-tools-%{version}.tar.bz2
Patch0:        intel-gpu-tools-1.3-libcairo.patch
Patch1:        intel-gpu-tools-1.7-unicode.patch
Patch2:        intel-gpu-tools-1.10-fix-32bit-pointer-to-int-cast.patch
Patch3:        intel-gpu-tools-1.20-x86-ftbfs.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libcairo-devel
BuildRequires: libdrm-devel
BuildRequires: libdw-devel
BuildRequires: libglib-devel
BuildRequires: libgsl-devel
BuildRequires: libjson-c-devel
BuildRequires: libkmod-devel
BuildRequires: libpciaccess-devel
BuildRequires: libpixman-devel
BuildRequires: libprocps3-devel
BuildRequires: libudev-devel
BuildRequires: libunwind-devel
BuildRequires: libxmlrpc-c-devel
BuildRequires: libz-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: xorg-server-devel >= 1.1.0
BuildRequires: xorg-proto-devel
BuildRequires: xbitmaps-devel >= 1.0.1
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
This is a collection of tools for development and testing of the Intel DRM driver.
There are many macro-level test suites that get used against our driver, including xtest, rendercheck, piglit, and oglconform, but failures from those can be difficult to track down to kernel changes, and many require complicated build procedures or specific testing environments to get useful results.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package apidocs
Group:         Documentation
Summary:       Documentation for %{name}

%description apidocs
This package contains the API documentation for %{name}.

%debug_package

%prep
%setup -q -n igt-gpu-tools-%{version}
#% patch3 -p1

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/amd_hdmi_compliance
%{_bindir}/code_cov_*
%{_bindir}/dpcd_reg
%{_bindir}/gputop
%{_bindir}/igt_*
%{_bindir}/intel-*
%{_bindir}/msm_dp_compliance
%{_bindir}/intel_*
%{_bindir}/i915-*
%{_bindir}/lsgpu
%{_bindir}/xe_reg
%dir %{_datadir}/igt-gpu-tools
%{_datadir}/igt-gpu-tools/*
%{_mandir}/man1/intel_*.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libigt.so.*
%{_libdir}/libi915_perf.so.*
%dir %{_libexecdir}/igt-gpu-tools
%{_libexecdir}/igt-gpu-tools/*

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/i915-perf
%{_includedir}/i915-perf/*.h
%{_libdir}/libigt.so
%{_libdir}/libi915_perf.so
%{_libdir}/pkgconfig/i915-perf.pc
%{_libdir}/pkgconfig/intel-gen4asm.pc

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/igt-gpu-tools/
%{_datadir}/gtk-doc/html/igt-gpu-tools/*

%changelog
* Thu Sep 21 2023 Automatic Build System <autodist@mambasoft.it> 1.28-1mamba
- automatic version update by autodist

* Wed Jan 25 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.27.1-1mamba
- update to 1.27.1

* Thu May 13 2021 Automatic Build System <autodist@mambasoft.it> 1.26-1mamba
- automatic version update by autodist

* Sun Mar 29 2020 Automatic Build System <autodist@mambasoft.it> 1.25-1mamba
- automatic version update by autodist

* Sat Aug 17 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.24-1mamba
- update to 1.24

* Sun Jul 29 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.22-1mamba
- update to 1.22

* Wed Dec 20 2017 Automatic Build System <autodist@mambasoft.it> 1.20-1mamba
- automatic version update by autodist

* Sat Sep 02 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.19-1mamba
- update to 1.19
- rebuilt for i586 to provide intel-gen4asm*

* Sat Oct 29 2016 Automatic Build System <autodist@mambasoft.it> 1.16-1mamba
- automatic version update by autodist

* Thu Jun 02 2016 Automatic Build System <autodist@mambasoft.it> 1.15-1mamba
- automatic version update by autodist

* Thu Mar 10 2016 Automatic Build System <autodist@mambasoft.it> 1.14-1mamba
- automatic version update by autodist

* Thu Dec 03 2015 Automatic Build System <autodist@mambasoft.it> 1.13-1mamba
- automatic version update by autodist

* Sun Sep 13 2015 Automatic Build System <autodist@mambasoft.it> 1.12-1mamba
- automatic version update by autodist

* Fri Mar 13 2015 Automatic Build System <autodist@mambasoft.it> 1.10-1mamba
- automatic version update by autodist

* Sat Dec 27 2014 Automatic Build System <autodist@mambasoft.it> 1.9-1mamba
- automatic version update by autodist

* Thu Sep 18 2014 Automatic Build System <autodist@mambasoft.it> 1.8-1mamba
- automatic version update by autodist

* Mon Jan 09 2012 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- automatic version update by autodist

* Tue Oct 13 2009 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic update by autodist

* Wed Jun 03 2009 Automatic Build System <silvan.calarco@mambasoft.it> 1.0.1-1mamba
- package created
